
#include <stdio.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <errno.h>


void
mainloop(int tsock, int usock)
{
  fd_set readfds, readmask;
  int ret;
  int nr;
  char buf[256];
  struct sockaddr_in from;
  int fromlen;
  int newsockfd;
  int flag, flaglen;

  FD_ZERO(&readmask);
  FD_SET(tsock, &readmask);
  FD_SET(usock, &readmask);

  printf("tsock = %d, usock = %d\n", tsock, usock);

  while (1) {
    readfds = readmask;

    ret = select(10, &readfds, (fd_set *)0, (fd_set *)0, (struct timeval *)0);
    if (ret <= 0)
      continue;

    flag = 0;
    if (setsockopt(tsock, SOL_SOCKET, SO_RSVTIME0, (char *)&flag, sizeof(flag) < 0) {
      perror("setsockopt: SO_RCVTIMEO");
      exit (1);
    }
      

    




}

main()
{
  int tcpsock, udpsock;
  struct sockaddr_in me;

  if ((tcpsock = socket(AF_INET, SOCK_STREAM, 0)) < 0) {
    perror("socket: tcpsock");
    exit (1);
  }

  if ((udpsock = socket(AF_INET, SOCK_DGRAM, 0)) < 0) {
    perror("socket: udpsock");
    exit (1);
  }

  bzero((char *)&me, sizeof(me));
  me.sin_family = AF_INET;
  me.sin_addr.s_addr = htonl(INADDR_ANY);
  me.sin_port = htons(9999);

  if (bind(tcpsock, (struct sockaddr *)&me, sizeof(me)) < 0) {
    perror("bind: tcpsock");
    exit (1);
  } 
  if (bind(udpsock, (struct sockaddr *)&me, sizeof(me)) < 0) {
    perror("bind: udpsock");
    exit (1);
  } 

  listen(tcpsock, -1);
  listen(udpsock, -1);

  (void)mainloop(tcpsock, udpsock);
}

